# List

Launch stage: GA

`GET /api/2.1/unity-catalog/policies/{on_securable_type}/{on_securable_fullname}`

List all policies defined on a securable.
 Optionally, the list can include inherited policies defined on the securable's parent schema or catalog.

 PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Path parameters

- `on_securable_type` (string, optional)
  Required. The type of the securable to list policies for.
- `on_securable_fullname` (string, optional)
  Required. The fully qualified name of securable to list policies for.

## Query parameters

- `include_inherited` (boolean, optional)
  Optional. Whether to include policies defined on parent securables.
   By default, the inherited policies are not included.
- `max_results` (int32, optional)
  Optional.  Maximum number of policies to return on a single page (page length).
   - When not set or set to 0, the page length is set to a server configured value (recommended);
   - When set to a value greater than 0, the page length is the minimum of this value and a server configured value;
- `page_token` (string, optional)
  Optional. Opaque pagination token to go to next page based on previous query.

## Returns

Returns a list of PolicyInfo objects.

## Response

```json
{
  "policies": [
    {
      "id": "string",
      "on_securable_type": "string",
      "on_securable_fullname": "string",
      "name": "string",
      "comment": "string",
      "to_principals": [
        "string"
      ],
      "except_principals": [
        "string"
      ],
      "for_securable_type": "string",
      "when_condition": "string",
      "policy_type": "string",
      "row_filter": {},
      "column_mask": {},
      "grant": {},
      "match_columns": [
        {}
      ],
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string"
    }
  ],
  "next_page_token": "string"
}
```

